/Users/bernard/b20/bsoft/include/rwmgEMX.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwmgEMX.h - Reads and writes micrograph exchange files.

SYNOPSIS

#include 'mg_processing.h'

  Functions
int read_project_emx (Bstring &filename, Bproject *project, Bstring &xsdfile)
Reading micrograph parameters from XML files.
int read_project_emx (Bstring *file_list, Bproject *project, Bstring &xsdfile)
int write_project_emx (Bstring &filename, Bproject *project, int mg_select, int rec_select)
Writing micrograph parameters to an EMX file.

Detailed Description

Reads and writes micrograph exchange files.

Author:
    Bernard Heymann

Date:
    Created: 20130201

    Modified: 20130430

Definition in file rwmgEMX.h.

Function Documentation

  int read_project_emx (Bstring & filename, Bproject * project, Bstring & xsdfile)

Reading micrograph parameters from XML files.

Parameters:
    &filename file name.
    *project initialized project structure.
    &xsdfile XML schema to validate against (can be empty).

Returns:
    int error code (<0 means failure).

Definition at line 241 of file rwmgEMX.cpp.

  int read_project_emx (Bstring * file_list, Bproject * project, Bstring & xsdfile)

  int write_project_emx (Bstring & filename, Bproject * project, int mg_select, int rec_select)

Writing micrograph parameters to an EMX file.

Parameters:
    &filename file name.
    *project project structure.
    mg_select flag to only write selected micrographs.
    rec_select flag to only convert selected reconstructions.

Returns:
    int error code (<0 means failure).

Definition at line 317 of file rwmgEMX.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.